Subject: RE: [SIP] Open issues from manyfolks draft: PRECONDITION-MET and others

From: "Donovan, Steven R." <[email-masked]>
Date: Wed, 05 Apr 2000 15:34:41 +0000

I agree with Brian that QUACK has a nice ring to it, however, given that the
UAC is telling the UAS that it is free to advance in the call setup, how
about one of

CONTINUE 
RESUME
PROCEED

Steve

> -----Original Message-----
> From: Rosen, Brian [mailto:[email-masked]]
> Sent: Wednesday, April 05, 2000 8:19 AM
> To: 'William Marshall'; [email-masked]
> Subject: RE: [SIP] Open issues from manyfolks draft: PRECONDITION-MET
> and others
> 
> 
> Always ready with an opinion, while QUACK is a winner name :),
> I'll vote for PRMET.  I think your suggestion that 100rel support
> is required for UAS asserting PRMET is just fine.
> 
> Brian
> 
> > -----Original Message-----
> > From: William Marshall [mailto:[email-masked]]
> > Sent: Wednesday, April 05, 2000 9:08 AM
> > To: [email-masked]
> > Subject: [SIP] Open issues from manyfolks draft: 
> PRECONDITION-MET and
> > others
> > 
> > 
> > At the Adelaide meeting, I believe there was general 
> consensus on the
> > method described in draft-manyfolks-sip-resource-00 for qos and
> > security preconditions.
> > 
> > Two remaining issues were identified
> >   (1) the method needs a new name
> >   (2) whether the UAS can specify preconditions if the UAC doesn't
> > 
> > PRECONDITION-MET is clearly a bad choice of a method name.  However
> > with one vote each for PRE-INFO, ASSERT, CONFIRM, QUACK, PROGRESS,
> > ADMITTED, PRDONE, PRMET, PREMET, and PREDONE, there was clearly
> > no consensus among the authors.  Plenty of nominations.  Need votes.
> > 
> > If the UAC does not put a precondition line into the SDP, 
> and the UAS
> > does, the main question is how the UAS knows that it will 
> be honored.
> > (If it inserts the line and doesn't ask for a confirmation, then it 
> > clearly won't know if it is honored or not.  sharp stick.)
> > 
> > If the UAC supports reliable provisional responses, then the UAS can
> > ask for a PRACK, and get a PRACK with SDP with a precondition line.
> > UAS then knows to expect a FOOBAR message (or whatever it 
> > gets called).
> > 
> > If the UAC doesn't include an SDP with the PRACK, or includes an SDP
> > without the precondition line, then the UAS knows to not 
> > expect a FOOBAR.
> > 
> > So the case left open is if there is no support indicated 
> for 100rel.
> > I'd consider that to mean no support for preconditions either.
> > 
> > Comments?
> > 
> > Bill Marshall
> > [email-masked]
> > 
> > 
> > 
> > _______________________________________________
> > SIP mailing list
> > [email-masked]
> > http://lists.bell-labs.com/mailman/listinfo/sip
> > 
> 
> 
> _______________________________________________
> SIP mailing list
> [email-masked]
> http://lists.bell-labs.com/mailman/listinfo/sip
> 

_______________________________________________
SIP mailing list
[email-masked]
http://lists.bell-labs.com/mailman/listinfo/sip